%define upstream_name    Sub-HandlesVia
%define upstream_version 0.016

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Integration with OO frameworks for Sub::HandlesVia
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(Class::Tiny)
BuildRequires: perl(Eval::TypeTiny)
BuildRequires: perl(Exporter::Shiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(List::Util) >= 1.540.0
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Type::Params) >= 1.4.0
BuildRequires: perl(Types::Standard)
BuildArch:  noarch

%description
If you've used the Moose manpage's native attribute traits, or the
MooX::HandlesVia manpage before, you should have a fairly good idea what
this does.

Why re-invent the wheel? Well, this is an implementation that should work
okay with Moo, Moose, Mouse, and any other OO toolkit you throw at it. One
ring to rule them all, so to speak.

Also, unlike the MooX::HandlesVia manpage, it honours type constraints,
plus it doesn't have the limitation that it can't mutate non-reference
values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Sep 21 2020 tv <tv> 0.16.0-1.mga8
+ Revision: 1629024
- update to 0.016

* Mon Sep 14 2020 tv <tv> 0.15.0-1.mga8
+ Revision: 1626151
- update to 0.015

* Wed Aug 26 2020 tv <tv> 0.14.0-1.mga8
+ Revision: 1619067
- update to 0.014

* Wed Feb 19 2020 tv <tv> 0.13.0-1.mga8
+ Revision: 1542506
- imported package perl-Sub-HandlesVia

